## kas 3.1

=== docs/requirements.txt ===
sphinx>=1.2.0
CommonMark>=0.5.6
sphinx-argparse>=0.2.1

## kas 2.2

=== debian/changelog ===
kas (2.2-1) unstable; urgency=medium

  * New upstream version 2.2
  * Update patch
  * Whitelist the tests

 -- Bastian Germann <bage@linutronix.de>  Sat, 22 Aug 2020 15:00:22 +0200

kas (2.1.1-2) unstable; urgency=medium

  * Clean build leftovers
  * Use pristine-tar as required by DPMT

 -- Bastian Germann <bage@linutronix.de>  Fri, 07 Aug 2020 18:41:48 +0200

kas (2.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #956123)

 -- Bastian Germann <bage@linutronix.de>  Sun, 07 Jun 2020 21:36:50 +0200

=== debian/control ===
Source: kas
Section: devel
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Bastian Germann <bage@linutronix.de>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools,
               python3-distro, python3-jsonschema, python3-pytest, python3-yaml,
               python3-sphinx <!nodoc>, python3-sphinx-argparse <!nodoc>,
               git, mercurial
Standards-Version: 4.5.0
Homepage: https://github.com/siemens/kas
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/applications/kas
Vcs-Git: https://salsa.debian.org/python-team/applications/kas.git
Testsuite: autopkgtest-pkg-python

Package: kas
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         python3-pkg-resources, git, mercurial, ssh-client
Recommends: python3-colorlog
Description: Setup tool for bitbake based projects
 This tool provides an easy mechanism to setup bitbake based
 projects. kas is using a project configuration file and does the download
 and configuration phase
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Test-Command: pytest-3
Restrictions: allow-stderr
Depends: @, @builddeps@

## kas 2.3.3

=== debian/changelog ===
kas (2.3.3-2) unstable; urgency=medium

  * d/tests/control Mark needs-internet (Closes: #985155)

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 14 Mar 2021 10:40:32 +0100

kas (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3

 -- Bastian Germann <bage@linutronix.de>  Mon, 30 Nov 2020 10:21:40 +0100

kas (2.3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Bastian Germann ]
  * New upstream version 2.3.2
  * Add v2.3's copyright info
  * Rebase patch series

 -- Bastian Germann <bage@linutronix.de>  Wed, 25 Nov 2020 19:05:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kas
 Section: devel
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Bastian Germann <bage@linutronix.de>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools,
                python3-distro, python3-jsonschema, python3-pytest, python3-yaml,
@@ -10,8 +10,8 @@
 Standards-Version: 4.5.0
 Homepage: https://github.com/siemens/kas
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/python-team/applications/kas
-Vcs-Git: https://salsa.debian.org/python-team/applications/kas.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/kas
+Vcs-Git: https://salsa.debian.org/python-team/packages/kas.git
 Testsuite: autopkgtest-pkg-python
 
 Package: kas

## kas 2.5

=== debian/changelog ===
kas (2.5-1) unstable; urgency=medium

  * New upstream version 2.5

 -- Bastian Germann <bastiangermann@fishpost.de>  Wed, 25 Aug 2021 13:34:30 +0200

kas (2.4-1) unstable; urgency=medium

  * d/tests/control Mark needs-internet (Closes: #985155)
  * New upstream version 2.4

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 14 Mar 2021 10:40:32 +0100

=== debian/tests/control ===
Test-Command: pytest-3
Restrictions: allow-stderr, needs-internet
Depends: @, @builddeps@

## kas 2.6.3

=== debian/changelog ===
kas (2.6.3-2) unstable; urgency=medium

  * Build-depend on python3-newt (snack, Closes: #1006143)
  * Disable autopkgtest (erroring without reason)

 -- Bastian Germann <bage@debian.org>  Mon, 21 Feb 2022 10:22:17 +0100

kas (2.6.3-1) unstable; urgency=medium

  * Set bage's debian.org email
  * Use global Salsa CI config
  * Fix missing-build-dependency-for-dh-addon
  * Patch rebase
  * Amend copyright info
  * Build-depend on kconfiglib
  * New upstream version 2.6.3

 -- Bastian Germann <bage@debian.org>  Wed, 09 Feb 2022 23:42:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Bastian Germann <bage@linutronix.de>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools,
+Uploaders: Bastian Germann <bage@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all:any, python3-setuptools,
                python3-distro, python3-jsonschema, python3-pytest, python3-yaml,
                python3-sphinx <!nodoc>, python3-sphinx-argparse <!nodoc>,
-               git, mercurial
+               python3-newt, python3-kconfiglib, git, mercurial
 Standards-Version: 4.5.0
 Homepage: https://github.com/siemens/kas
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=kas
export PYBUILD_TEST_ARGS=-ktest_includehandler

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs man
	# Fix missing spaces in lines beginning with .B
	sed -i "s/^\.B\(\S\)/\.B \1/" docs/_build/man/kas.1
endif
	dh_auto_build

## kas 3.1

=== debian/changelog ===
kas (3.1-2) unstable; urgency=medium

  * Use pyproject for build

 -- Bastian Germann <bage@debian.org>  Sat, 15 Oct 2022 09:23:34 +0200

kas (3.1-1) unstable; urgency=medium

  * New upstream version 3.1

 -- Bastian Germann <bage@debian.org>  Mon, 15 Aug 2022 21:08:34 +0200

kas (3.0.2-1) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.
  * New upstream version 3.0.2

 -- Bastian Germann <bage@debian.org>  Wed, 09 Mar 2022 12:08:47 +0100

kas (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
  * Rebase patch

 -- Bastian Germann <bage@debian.org>  Sat, 05 Mar 2022 16:18:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Bastian Germann <bage@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all:any, python3-setuptools,
+Build-Depends: debhelper-compat (= 13), pybuild-plugin-pyproject, python3-all:any, python3-setuptools,
                python3-distro, python3-jsonschema, python3-pytest, python3-yaml,
                python3-sphinx <!nodoc>, python3-sphinx-argparse <!nodoc>,
                python3-newt, python3-kconfiglib, git, mercurial
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/siemens/kas
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kas

## kas 3.2.3

=== debian/changelog ===
kas (3.2.3-1) unstable; urgency=medium

  * New upstream version 3.2.3
  * Rebase patch
  * Update standards version to 4.6.1, no changes needed.

 -- Bastian Germann <bage@debian.org>  Mon, 19 Jun 2023 15:51:07 +0200

## kas 4.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/kas.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/kas.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/kas"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/kas"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
kas (4.0-1) unstable; urgency=medium

  * New upstream version 4.0

 -- Bastian Germann <bage@debian.org>  Wed, 28 Jun 2023 13:00:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-distro, python3-jsonschema, python3-pytest, python3-yaml,
                python3-sphinx <!nodoc>, python3-sphinx-argparse <!nodoc>,
                python3-newt, python3-kconfiglib, git, mercurial
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/siemens/kas
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kas

## kas 4.3

=== debian/changelog ===
kas (4.3-1) unstable; urgency=medium

  * New upstream version 4.3
  * install all kas manpages
  * adapt to new upstream requirements
  * install bash-completions for kas
  * update copyright information
  * Update standards version to 4.6.2, no changes needed.

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Tue, 12 Mar 2024 08:21:05 +0100

=== debian/control ===
Source: kas
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bastian Germann <bage@debian.org>,
           Felix Moessbauer <felix.moessbauer@siemens.com>
Build-Depends: debhelper-compat (= 13), pybuild-plugin-pyproject, python3-all:any, python3-setuptools,
               python3-distro, python3-jsonschema, python3-pytest, python3-yaml,
               python3-sphinx <!nodoc>, python3-sphinx-argparse <!nodoc>, python3-sphinx-rtd-theme <!nodoc>,
               python3-newt, python3-kconfiglib, python3-shtab, python3-git,
               git, mercurial, bash-completion
Standards-Version: 4.6.2
Homepage: https://github.com/siemens/kas
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/kas
Vcs-Git: https://salsa.debian.org/python-team/packages/kas.git
Testsuite: autopkgtest-pkg-python

Package: kas
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         python3-pkg-resources, git
Recommends: python3-colorlog
Suggests: mercurial, ssh-client
Description: Setup tool for bitbake based projects
 This tool provides an easy mechanism to setup bitbake based
 projects. kas is using a project configuration file and does the download
 and configuration phase
 .
 This package installs the library for Python 3.

## kas 4.3.2

=== docs/Makefile ===
--- 
+++ 
@@ -156,7 +156,7 @@
 
 .PHONY: man
 man:
-	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
+	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) -t man $(BUILDDIR)/man
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

## kas 4.4

=== debian/changelog ===
kas (4.4-2) unstable; urgency=medium

  * debian: bump standards version to 4.7.0
  * debian: add lintian overrides for sphinx generated manpages

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Fri, 07 Jun 2024 10:05:19 +0200

kas (4.4-1) unstable; urgency=medium

  * debian: update upstream signing key
  * New upstream version 4.4
  * debian: add attestation man page

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Thu, 06 Jun 2024 11:40:53 +0200

kas (4.3.2-1) unstable; urgency=medium

  * New upstream version 4.3.2
  * fixes regression when using SSH_PRIVATE_KEY[_FILE]
  * don't add comments to .netrc, fixing gitlab-ci
  * align hg semantics of repo dirty checking

  [ Bastian Germann ]
  * Hand over package to Felix (Closes: #1055342)

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Wed, 10 Apr 2024 06:49:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Bastian Germann <bage@debian.org>,
-           Felix Moessbauer <felix.moessbauer@siemens.com>
+Uploaders: Felix Moessbauer <felix.moessbauer@siemens.com>
 Build-Depends: debhelper-compat (= 13), pybuild-plugin-pyproject, python3-all:any, python3-setuptools,
                python3-distro, python3-jsonschema, python3-pytest, python3-yaml,
                python3-sphinx <!nodoc>, python3-sphinx-argparse <!nodoc>, python3-sphinx-rtd-theme <!nodoc>,
                python3-newt, python3-kconfiglib, python3-shtab, python3-git,
                git, mercurial, bash-completion
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/siemens/kas
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kas

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=kas
export PYBUILD_TEST_ARGS=-ktest_includehandler

%:
	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

override_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs man
endif
	dh_auto_build

override_dh_bash-completion:
	shtab --shell=bash -u kas.kas.kas_get_argparser --error-unimportable --prog kas \
		> debian/kas.bash-completion
	dh_bash-completion

## kas 4.5

=== debian/changelog ===
kas (4.5-2) unstable; urgency=medium

  * debian: add lintian overrides for spelling issues

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Fri, 20 Sep 2024 10:57:34 +0200

kas (4.5-1) unstable; urgency=medium

  * New upstream version 4.5

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Wed, 18 Sep 2024 09:45:07 +0200

## kas 4.6

=== debian/changelog ===
kas (4.6-1) unstable; urgency=medium

  * New upstream version 4.6
  * debian: run all not-online tests
  * debian: add kas-lock and kas-container manpages
  * debian: remove obsolete lintian overrides

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Mon, 09 Dec 2024 08:47:08 +0100

## kas 4.7

=== debian/changelog ===
kas (4.7-1) unstable; urgency=medium

  * New upstream version 4.7

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Mon, 03 Feb 2025 11:21:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-distro, python3-jsonschema, python3-pytest, python3-yaml,
                python3-sphinx <!nodoc>, python3-sphinx-argparse <!nodoc>, python3-sphinx-rtd-theme <!nodoc>,
                python3-newt, python3-kconfiglib, python3-shtab, python3-git,
-               git, mercurial, bash-completion
+               git, mercurial, bash-completion, ssh-client <!nocheck>
 Standards-Version: 4.7.0
 Homepage: https://github.com/siemens/kas
 Rules-Requires-Root: no
@@ -18,7 +18,7 @@
 Package: kas
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
-         python3-pkg-resources, git
+         git
 Recommends: python3-colorlog
 Suggests: mercurial, ssh-client
 Description: Setup tool for bitbake based projects

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 export PYBUILD_NAME=kas
-export PYBUILD_TEST_ARGS=-ktest_includehandler
+export PYBUILD_TEST_ARGS=-m "not online" -k "not test_menu" -v
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

## kas 4.8.1

=== docs/requirements.txt ===
sphinx>=1.2.0
CommonMark>=0.5.6
sphinx-argparse>=0.2.1
sphinx-rtd-theme>=1.3.0

=== debian/changelog ===
kas (4.8.1-1) unstable; urgency=medium

  * New upstream version 4.8.1
  * kas: Add diff plugin to compare config files and repos
  * kas: add support to verify signatures of git repos
  * kas: add support for distributed lock file updates
  * kas: add purge command to remove all managed data
  * kas: add support for NPMRC_FILE environment variable
  * kas: drop overrides from output of dump when using --resolve-refs
  * kas: inject current version of kas into config dumps
  * kas: enforce allowed values for layer enabling/disabling
  * kas: deprecate various magic values to disable a layer
  * kas: consistently check for the validity of path provided via env vars
  * kas: skip shallow cloning for reference repos
  * kas: improve reporting of yaml format errors
  * kas: fix output on patching errors
  * kas-container: add limited support for docker rootless
  * kas-container: propagate timezone information into container
  * kas-container: warn if script version does not match container
  * kas-container: prepare for looser coupling of script and container versions
  * debian: update standards version to 4.7.2
  * debian: add python3-{kconfiglib,gnupg,newt} to recommends

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Mon, 16 Jun 2025 12:56:15 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper-compat (= 13), pybuild-plugin-pyproject, python3-all:any, python3-setuptools,
                python3-distro, python3-jsonschema, python3-pytest, python3-yaml,
                python3-sphinx <!nodoc>, python3-sphinx-argparse <!nodoc>, python3-sphinx-rtd-theme <!nodoc>,
-               python3-newt, python3-kconfiglib, python3-shtab, python3-git,
+               python3-newt, python3-kconfiglib, python3-shtab, python3-git, python3-gnupg,
                git, mercurial, bash-completion, ssh-client <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/siemens/kas
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kas
@@ -19,7 +19,7 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
          git
-Recommends: python3-colorlog
+Recommends: python3-colorlog, python3-gnupg, python3-kconfiglib, python3-newt
 Suggests: mercurial, ssh-client
 Description: Setup tool for bitbake based projects
  This tool provides an easy mechanism to setup bitbake based

## kas 4.8.2

=== debian/changelog ===
kas (4.8.2-1) unstable; urgency=medium

  * New upstream version 4.8.2
  * kas: clean: avoid creation of tmp data to recover from full-disk scenario
  * kas: avoid duplicate creations of tmpdir
  * kas-container: fix host timezone propagation, resolving yocto breakage
  * kas-container: avoid collision of internal vars with environment
  * kas-container: fallback to xterm if a TERM value is not supported
  * docs: precisely describe where SHELL env var is in effect
  * docs: add note on YAML support and its limitations
  * docs: remove GnuPG limitation of repo verification
  * docs: sphinx_kas_schema.py: support numbers in regex

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Mon, 18 Aug 2025 12:39:40 +0200

kas (4.8.1-2) unstable; urgency=medium

  * debian: switch to autopkgtest-pkg-pybuild

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Tue, 17 Jun 2025 11:22:15 +0200

=== debian/watch ===
version=4
opts=mode=git,pgpmode=gittag \
  https://github.com/siemens/kas.git refs/tags/([\d\.]+)

## kas 5.0

=== docs/Makefile ===
--- 
+++ 
@@ -49,19 +49,19 @@
 	rm -rf $(BUILDDIR)/*
 
 .PHONY: html
-html:
+html: kas-container-usage
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
 .PHONY: dirhtml
-dirhtml:
+dirhtml: kas-container-usage
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
 
 .PHONY: singlehtml
-singlehtml:
+singlehtml: kas-container-usage
 	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
 	@echo
 	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
@@ -154,8 +154,16 @@
 	@echo
 	@echo "Build finished. The text files are in $(BUILDDIR)/text."
 
+kas-container-usage:
+	@echo Generate kas-container usage documentation
+	@mkdir -p $(BUILDDIR)
+	@../kas-container --help | ../scripts/kas-container-usage-to-rst.sh | awk '/KAS-COMMANDS/ {exit} {print}' \
+	    > $(BUILDDIR)/kas-container-usage-synopsis.inc
+	@../kas-container --help | ../scripts/kas-container-usage-to-rst.sh | awk '/KAS-COMMANDS/ {found=1} found' \
+	    > $(BUILDDIR)/kas-container-usage-options.inc
+
 .PHONY: man
-man:
+man: kas-container-usage
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) -t man $(BUILDDIR)/man
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

=== debian/changelog ===
kas (5.0-1) unstable; urgency=medium

  * New upstream version 5.0
  * kas: introduce buildtools support
  * kas: Allow branch override
  * kas: Dump output of init-build-env scripts at debug log-level
  * kas: fail on fetch errors, rather than warn and continue
  * kas: only fetch repos on update if commit is not pinned
  * kas: call sudo only once in ISAR mode of clean plugin
  * kas: avoid redundant diff output of filename
  * kas: print commit log on lock update
  * kas-container: Provide images based on both Debian 12 and 13
  * kas-container: allow to select specific image distribution
  * kas-container: add support for KAS_BUILDTOOLS_DIR
  * kas-container: add partial support for run0
  * debian: add missing and new manpages
  * debian: disable ssh-agent test (Closes: #1117751)

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Tue, 21 Oct 2025 14:47:14 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kas
 Vcs-Git: https://salsa.debian.org/python-team/packages/kas.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: kas
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 export PYBUILD_NAME=kas
-export PYBUILD_TEST_ARGS=-m "not online" -k "not test_menu" -v
+export PYBUILD_TEST_ARGS=-m "not online" -k "not test_menu and not test_ssh_agent_setup" -v
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

## kas 5.1

=== debian/changelog ===
kas (5.1-1) unstable; urgency=medium

  * New upstream version 5.1
  * kas: use DL_DIR environment variable on cleanall
  * kas: Print distro name and version on startup
  * kas-container: Install binfmts for qemu manually
  * kas-container: add custom git path to safedirs
  * kas-container: restore debian sources list after installation
  * docs: Update installation instructions
  * docs: add missing property to buildtools examples

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Fri, 05 Dec 2025 09:58:56 +0100

## kas 5.2

=== debian/changelog ===
kas (5.2-1) unstable; urgency=medium

  * New upstream version 5.2
  * kas: Add support for layer priorities
  * kas: Add support for AWS SSO login credentials
  * kas: Allows one to specify commits via id of annotated tags as well
  * kas: Avoid unneeded commit ID updates in lockfiles
  * kas: Catch error when updating an invalid commit in a lockfile
  * kas: Disable terminal prompts in git
  * kas: Improve error logging on failed fetches
  * kas: Avoid redundant error logging of invoked commands
  * kas: Improve error logging of failed for_all_repos commands
  * docs: Add community support section to getting started guide
  * docs: Show schema defaults that evaluate to false
  * docs: Show allowed integer ranges in the schema

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Tue, 24 Feb 2026 10:32:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: kas
 Section: devel
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Felix Moessbauer <felix.moessbauer@siemens.com>
 Build-Depends: debhelper-compat (= 13), pybuild-plugin-pyproject, python3-all:any, python3-setuptools,
@@ -8,7 +7,7 @@
                python3-sphinx <!nodoc>, python3-sphinx-argparse <!nodoc>, python3-sphinx-rtd-theme <!nodoc>,
                python3-newt, python3-kconfiglib, python3-shtab, python3-git, python3-gnupg,
                git, mercurial, bash-completion, ssh-client <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/siemens/kas
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/kas

=== debian/watch ===
Version: 5
Template: GitHub
Owner: siemens
Project: kas
Pgp-Mode: gittag
